/**
@license
Copyright (c) 2015 The Polymer Project Authors. All rights reserved.
This code may only be used under the BSD style license found at
http://polymer.github.io/LICENSE.txt The complete set of authors may be found at
http://polymer.github.io/AUTHORS.txt The complete set of contributors may be
found at http://polymer.github.io/CONTRIBUTORS.txt Code distributed by Google as
part of the polymer project is also subject to an additional IP rights grant
found at http://polymer.github.io/PATENTS.txt
*/
import "../polymer/polymer-legacy.js";
import { Polymer } from "../polymer/lib/legacy/polymer-fn.js";
import { html } from "../polymer/lib/utils/html-tag.js";
Polymer({
  _template: html`
    <style>
      :host {
        box-sizing: border-box;
        display: block;
        padding: 16px 24px;
      }

      .name {
        @apply --iron-doc-font-code;
        font-weight: bold;

        overflow: hidden;
        text-overflow: ellipsis;
        height: 20px;
      }

      [hidden] {
        display: none;
      }

      a {
        color: currentcolor;
        text-decoration: none;
      }

      a:hover {
        color: var(--iron-doc-accent-color-internal);
      }

      #description {
        margin-top: 6px;
      }
    </style>

    <div class="name">
      <a href\$="[[href]]">{{name}}</a>
    </div>
    <div id="description" hidden\$="[[!description]]">
      [[description]]
    </div>
`,
  is: 'iron-doc-summary',
  properties: {
    name: String,
    description: String,
    href: String
  }
});